Package org.apache.commons.collections4.map

# Class AbstractHashedMap.HashIterator<K,V>

java.lang.Object
org.apache.commons.collections4.map.AbstractHashedMap.HashIterator<K,V>

Type Parameters:
  `K` - The type of the keys in the map
  `V` - The type of the values in the map

Direct Known Subclasses:
  `AbstractHashedMap.EntrySetIterator`, `AbstractHashedMap.HashMapIterator`, `AbstractHashedMap.KeySetIterator`, `AbstractHashedMap.ValuesIterator`

Enclosing class:
  `AbstractHashedMap<K,V>`

protected abstract static class AbstractHashedMap.HashIterator<K,V> extends Object
Base Iterator.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `HashIterator(AbstractHashedMap<K,V> parent)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected AbstractHashedMap.HashEntry<K,V>`
  `currentEntry()`
  Gets the current entry.
  `boolean`
  `hasNext()`
  Tests whether there is a next entry.
  `protected AbstractHashedMap.HashEntry<K,V>`
  `nextEntry()`
  Gets the next entry.
  `void`
  `remove()`
  Removes the current element.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HashIterator

    protected HashIterator(AbstractHashedMap<K,V> parent)
    Constructs a new instance.
    Parameters:
      `parent` - The parent AbstractHashedMap.

- ## Method Details

  - ### currentEntry

    protected AbstractHashedMap.HashEntry<K,V> currentEntry()
    Gets the current entry.
    Returns:
      The current entry.

  - ### hasNext

    public boolean hasNext()
    Tests whether there is a next entry.
    Returns:
      whether there is a next entry.

  - ### nextEntry

    protected AbstractHashedMap.HashEntry<K,V> nextEntry()
    Gets the next entry.
    Returns:
      The next entry.

  - ### remove

    public void remove()
    Removes the current element.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`